<?php
/**
 * Klasa jezykowa prostych artykulow
 *
 */
class MfMetaTagDescription  extends DataObject {
	
	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_meta_tag_description';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_meta_tag_description';
		
	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tabela mapująca pola z bazy SQL na pola klasy.
	 */
	static $fields = array(
		'id_mf_meta_tag_description' => 'id',
		'id_mf_meta_tag' => 'idMfMetaTag' ,
		'description' => 'description' ,
		'keywords' => 'keywords',
		'lang' => 'lang',
		'statistic' => 'statistic'
	);

	protected $id;
	private $idMfMetaTag;
	private $description;
	private $keywords;
	private $lang;
	private $statistic;


	public function GetId() {
		return $this->id;
	}

	public function SetId($id) {
		$this->id = $id;
	}

	public function GetIdMfMetaTag() {
		return $this->idMfMetaTag;
	}

	public function SetIdMfMetaTag($idMfMetaTag) {
		$this->idMfMetaTag = $idMfMetaTag;
	}


	public function GetDescription() {
		return $this->description;
	}

	public function SetDescription($description) {
		$this->description = $description;
	}

	public function GetStatistic() {
		return $this->statistic;
	}

	public function SetStatistic($statistic) {
		$this->statistic = $statistic;
	}

	public function GetLang() {
		return $this->lang;
	}

	public function SetLang($lang) {
		$this->lang = $lang;
	}

	public function GetKeywords() {
		return $this->keywords;
	}

	public function SetKeywords($keywords) {
		$this->keywords = $keywords;
	}





	/**
	 * Konstruktor klasy
	 *
	 * @param integer $id
	 */

	public function __construct($id = -1) {
		$this->SetId($id);
	}
	
	  /**
	 * Pobiera nazwę tabeli reprezentującej obiekt w SQL
	 * @return string
	 */
	
	public  function GetTableName(){
		return self::$tableName;
      }
	/**
       * Pobiera taablice mapującą pola klasy na pola tabeli
       * @return array
       */
	public  function GetFields(){
		return self::$fields;
      }
	/**
       * Pobiera nazwę klasy
       * @return string
       */
	public  function GetClassName(){
		return self::$className;
      }	


    public function GetClassTablePK() {
        return self::$classTablePK;
    }


}
?>